## Changes between raptor2 2.0.15 and 2.0.16

### New functions, types, enums and constants

Functions

- void `raptor_avltree_trim`(raptor_avltree* tree)

- int `raptor_www_set_http_accept2`(raptor_www *www, const char *value, size_t value_len)

- int `raptor_www_set_proxy2`(raptor_www *www, const char *proxy, size_t proxy_len)

- int `raptor_www_set_user_agent2`(raptor_www *www, const char *user_agent, size_t user_agent_len)

Enums and Constants

- `raptor_rdf_schema_namespace_uri_len`

### Deleted functions, types, enums and constants

Functions

- raptor_www_set_http_accept - Deprecated for raptor_www_set_http_accept2

- raptor_www_set_proxy - Deprecated for raptor_www_set_proxy2

- raptor_www_set_user_agent - Deprecated for raptor_www_set_user_agent2